using Managing.Domain.Workflows.Synthetics;

namespace Managing.Application.Abstractions.Repositories;

public interface IWorkflowRepository
{
    bool DeleteWorkflow(string name);
    Task<SyntheticWorkflow> GetWorkflow(string name);
    IEnumerable<SyntheticWorkflow> GetWorkflows();
    Task InsertWorkflow(SyntheticWorkflow workflow);
    Task UpdateWorkflow(SyntheticWorkflow workflow);
}
